import request from '@/utils/request'

//
export function apiDiyUserList(params?: any) {
    return request.post({ url: '/api/diy/user/list', params })
}

export function apiDiyUserCreate(params?: any) {
    return request.post({ url: '/api/diy/user/create', params })
}
export function apiDiyUserUpdate(params?: any) {
    return request.post({ url: '/api/diy/user/update', params })
}
export function apiDiyUserDelete(params?: any) {
    return request.post({ url: '/api/diy/user/delete', params })
}
export function apiDiyUserItem(params?: any) {
    return request.get({ url: '/api/diy/user/item', params })
}


//用户保存记录
export function apiDiyUserSaveList(params?: any) {
    return request.post({ url: '/api/diy/userSave/list', params })
}
//用户保存详情
export function apiDiyUserSaveItem(params?: any) {
    return request.get({ url: '/api/diy/userSave/item', params })
}
export function apiDiyUserSaveDelete(params?: any) {
    return request.post({ url: '/api/diy/userSave/delete', params })
}
export function apiDiyUserSaveItems(params?: any) {
    return request.post({ url: '/api/diy/userSave/items', params })
}
// 重新生成尺码
export function apiDiyUserSaveChimaRender(params?: any) {
    return request.post({ url: '/api/diy/userSave/chima/render', params })
}


//用户下载保存记录
export function apiDiyUserDownCreate(params?: any) {
    return request.post({ url: '/api/diy/userDown/create', params })
}
export function apiDiyUserDownList(params?: any) {
    return request.post({ url: '/api/diy/userDown/list', params })
}
export function apiDiyUserDownDelete(params?: any) {
    return request.post({ url: '/api/diy/userDown/delete', params })
}

