import request from '@/utils/request'

//设计产品/成品/系统素材三级分类列表
export function shopTypeList(params?: any) {
  return request.get({ url: '/api/diy/template/type/list', params })
}

//新增设计产品/成品/系统素材三级分类
export function shopTypeSave(params?: any) {
  return request.post({ url: '/api/diy/template/type/create', params })
}

//设计产品/成品/系统素材三级分类详情
export function shopTypeUpdate(params?: any) {
  return request.post({ url: '/api/diy/template/type/update', params })
}
//启用/禁用/删除设计产品/成品/系统素材三级分类
export function shopTypeChangeStatus(params?: any) {
  return request.post({ url: '/api/diy/template/type/delete', params })
}

// 分类首页/取消首页显示
export function shopTypeChangeTop(params?: any) {
  return request.post({ url: '/shop/type/changeTop', params })
}

//模板列表
export function foxpsdDiyTemplateListFindAndCountAll(
  params: Record<string, any>
) {
  return request.post({ url: '/api/diy/template/listFindAndCountAll', params })
}

//foxpsd 模板详情
export function foxpsdDiyTemplateItem(params: Record<string, any>) {
  return request.get({ url: '/foxpsdData/api/diy/template/item', params })
}

//默认绑定模板
export function apiDiyTemplateBindDiy(params?: any) {
  return request.post({ url: '/api/diy/template/bind/diy', params })
}

// 解绑模板
export function apiDiyTemplateUnbindDiy(params?: any) {
  return request.post({ url: '/api/diy/template/unbind/diy', params })
}

// 模板创建
export function apiDiyTemplateCreate(params?: any) {
  return request.post({ url: '/api/diy/template/create', params })
}
// 模板创建
export function apiDiyTemplateUpdate(params?: any) {
  return request.post({ url: '/api/diy/template/update', params })
}
// 模板删除
export function apiDiyTemplateDelete(params?: any) {
  return request.post({ url: '/api/diy/template/delete', params })
}
// 模板详情
export function apiDiyTemplateItem(params?: any) {
  return request.get({ url: '/api/diy/template/item', params })
}
// 模板上下架
export function apiDiyTemplateStatus(params?: any) {
  return request.post({ url: '/api/diy/template/status', params })
}
// 模板绑定用户
export function apiDiyTemplateBindUser(params?: any) {
  return request.post({ url: '/api/diy/template/bind/user', params })
}

//层面列表
export function apiDiyTemplateFaceList(params?: any) {
  return request.get({ url: '/api/diy/template/face/list', params })
}
//层面创建
export function apiDiyTemplateFaceCreate(params?: any) {
  return request.post({ url: '/api/diy/template/face/create', params })
}
//层面更新
export function apiDiyTemplateFaceUpdate(params?: any) {
  return request.post({ url: '/api/diy/template/face/update', params })
}
//层面删除
export function apiDiyTemplateFaceDelete(params?: any) {
  return request.post({ url: '/api/diy/template/face/delete', params })
}

// 效果图
export function apiDiyTemplateXiaoguotuList(params?: any) {
  return request.get({ url: '/api/diy/template/xiaoguotu/list', params })
}
// 效果图
export function apiDiyTemplateXiaoguotuCreate(params?: any) {
  return request.post({ url: '/api/diy/template/xiaoguotu/create', params })
}
export function apiDiyTemplateXiaoguotuUpdate(params?: any) {
  return request.post({ url: '/api/diy/template/xiaoguotu/update', params })
}
export function apiDiyTemplateXiaoguotuDelete(params?: any) {
  return request.post({ url: '/api/diy/template/xiaoguotu/delete', params })
}

export function apiPsdParser(params?: any) {
  return request.post({ url: '/api/psd/parser', params })
}

// 颜色
export function apiDiyTemplateColorList(params?: any) {
  return request.get({ url: '/api/diy/template/color/list', params })
}
export function apiDiyTemplateColorCreate(params?: any) {
  return request.post({ url: '/api/diy/template/color/create', params })
}

export function apiDiyTemplateColorUpdate(params?: any) {
  return request.post({ url: '/api/diy/template/color/update', params })
}
export function apiDiyTemplateColorDelete(params?: any) {
  return request.post({ url: '/api/diy/template/color/delete', params })
}

//尺码
export function apiDiyTemplateChimaList(params?: any) {
  return request.get({ url: '/api/diy/template/chima/list', params })
}
export function apiDiyTemplateChimaCreate(params?: any) {
  return request.post({ url: '/api/diy/template/chima/create', params })
}
export function apiDiyTemplateChimaUpdate(params?: any) {
  return request.post({ url: '/api/diy/template/chima/update', params })
}
export function apiDiyTemplateChimaDelete(params?: any) {
  return request.post({ url: '/api/diy/template/chima/delete', params })
}
