import request from '@/utils/request'

// 登录
export function login(params: Record<string, any>) {
    return request.post({ url: '/api/admin/login', params: { ...params } }, { withToken: false })
}
// 用户信息
export async function getUserInfo() {
    return request.get({ url: '/api/admin/business/msg'})
}

// 退出登录
export function logout() {
    return request.post({ url: '/login/logout' })
}
// 编辑管理员信息
export function setUserInfo(params: any) {
    return request.post({ url: '/shop/pwd', params })
}
