
const menu: any[] = [
    {
        "type": "C",
        "name": "工作台",
        "icon": "el-icon-Monitor",
        "sort": 1000,
        "perms": "",
        "paths": "workbench",
        "component": "workbench/index",
        "selected": "",
        "params": "",
        "is_cache": 0,
        "is_show": 1,
        "is_disable": 0
    },
    {
        "type": "M",
        "name": "模板管理",
        "icon": "el-icon-ShoppingBag",
        "sort": 900,
        "perms": "",
        "paths": "product",
        "component": "",
        "selected": "",
        "params": "",
        "is_cache": 0,
        "is_show": 1,
        "is_disable": 0,
        "children": [
            {
                "type": "C",
                "name": "模板分类",
                "icon": "el-icon-FolderRemove",
                "sort": 0,
                "perms": "",
                "paths": "fenlei",
                "component": "product/fenlei/index",
                "selected": "",
                "params": "",
                "is_cache": 0,
                "is_show": 1,
                "is_disable": 0,
            },
            {
                "type": "C",
                "name": "模板列表",
                "icon": "el-icon-DocumentCopy",
                "sort": 0,
                "perms": "",
                "paths": "lists",
                "component": "product/lists/index",
                "selected": "",
                "params": "",
                "is_cache": 0,
                "is_show": 1,
                "is_disable": 0,
            },
            {
                "type": "C",
                "name": "创建层面",
                "icon": "el-icon-FolderRemove",
                "sort": 0,
                "perms": "",
                "paths": "face",
                "component": "product/face/index",
                "selected": "/product/lists",
                "params": "",
                "is_cache": 0,
                "is_show": 0,
                "is_disable": 0,
            },
            {
                "type": "C",
                "name": "创建效果图",
                "icon": "el-icon-FolderRemove",
                "sort": 0,
                "perms": "",
                "paths": "xiaoguotu",
                "component": "product/xiaoguotu/index",
                "selected": "/product/lists",
                "params": "",
                "is_cache": 0,
                "is_show": 0,
                "is_disable": 0,
            },
            {
                "type": "C",
                "name": "创建尺码",
                "icon": "el-icon-FolderRemove",
                "sort": 0,
                "perms": "",
                "paths": "chima",
                "component": "product/chima/index",
                "selected": "/product/lists",
                "params": "",
                "is_cache": 0,
                "is_show": 0,
                "is_disable": 0,
            }
        ]
    },
    {
        "type": "M",
        "name": "图库管理",
        "icon": "el-icon-Picture",
        "sort": 900,
        "perms": "",
        "paths": "image",
        "component": "",
        "selected": "",
        "params": "",
        "is_cache": 0,
        "is_show": 1,
        "is_disable": 0,
        "children": [
            {
                "type": "C",
                "name": "图库分类",
                "icon": "el-icon-FolderRemove",
                "sort": 0,
                "perms": "",
                "paths": "fenlei",
                "component": "image/fenlei/index",
                "selected": "",
                "params": "",
                "is_cache": 0,
                "is_show": 1,
                "is_disable": 0,
            },
            {
                "type": "C",
                "name": "图库列表",
                "icon": "el-icon-DocumentCopy",
                "sort": 0,
                "perms": "",
                "paths": "lists",
                "component": "image/lists/index",
                "selected": "",
                "params": "",
                "is_cache": 0,
                "is_show": 1,
                "is_disable": 0,
            }
        ]
    },
    {
        "type": "C",
        "name": "用户管理",
        "icon": "el-icon-User",
        "sort": 900,
        "perms": "",
        "paths": "member/lists",
        "component": "member/lists/index",
        "selected": "",
        "params": "",
        "is_cache": 0,
        "is_show": 1,
        "is_disable": 0
    },
    {
        "type": "C",
        "name": "用户保存记录",
        "icon": "el-icon-MessageBox",
        "sort": 900,
        "perms": "",
        "paths": "userSave/lists",
        "component": "userSave/lists/index",
        "selected": "",
        "params": "",
        "is_cache": 0,
        "is_show": 1,
        "is_disable": 0
    },
    {
        "type": "C",
        "name": "用户保存记录详情",
        "icon": "el-icon-MessageBox",
        "sort": 900,
        "perms": "",
        "paths": "userSave/lists/item",
        "component": "userSave/item/index",
        "selected": "/userSave/lists",
        "params": "",
        "is_cache": 0,
        "is_show": 0,
        "is_disable": 0
    },
    {
        "type": "C",
        "name": "下载记录",
        "icon": "el-icon-Folder",
        "sort": 900,
        "perms": "",
        "paths": "userSaveDown/lists",
        "component": "userSaveDown/lists/index",
        "selected": "",
        "params": "",
        "is_cache": 0,
        "is_show": 1,
        "is_disable": 0
    }
]




export default menu